image: microsoft/dotnet:latest

stages:
    - build
    - test

build:
    stage: build
    script:
        - "dotnet build"
    artifacts:
      paths:
        - bin/
    only:
        - merge_requests
    

test:
    stage: test
    script: 
        - "dotnet test"